document.addEventListener('DOMContentLoaded', function() {
    // Mobile menu toggle
    const navLinks = document.querySelector('.nav-links');
    const menuButton = document.createElement('button');
    menuButton.classList.add('menu-toggle');
    menuButton.innerHTML = '☰';
    
    if (window.innerWidth <= 768) {
        document.querySelector('nav').prepend(menuButton);
        menuButton.addEventListener('click', () => {
            navLinks.classList.toggle('show');
        });
    }

    // Add to cart functionality
    const addToCartButtons = document.querySelectorAll('.add-cart-btn');
    addToCartButtons.forEach(button => {
        button.addEventListener('click', function() {
            const product = this.parentElement;
            const productName = product.querySelector('h3').textContent;
            const productPrice = product.querySelector('p').textContent;
            
            // Show notification
            const notification = document.createElement('div');
            notification.classList.add('notification');
            notification.textContent = `${productName} added to cart!`;
            document.body.appendChild(notification);
            
            setTimeout(() => {
                notification.remove();
            }, 3000);
        });
    });

    // Smooth scroll
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});